Delete time entry
curl --request DELETE \
--url https://api.contracting.kukkingu.software/api/v1/time-entries/{timeEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'tenant-id: <tenant-id>'import requests
url = "https://api.contracting.kukkingu.software/api/v1/time-entries/{timeEntryId}"
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'tenant-id': '<tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.contracting.kukkingu.software/api/v1/time-entries/{timeEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Time Entries
Delete time entry
Deletes a time entry by its ID.
DELETE
/
api
/
v1
/
time-entries
/
{timeEntryId}
Delete time entry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Path Parameters
Unique identifier of the time entry.
Example:
"tsh_8f4d4gk1p9h2x0s7v3n5c1a9"
Response
Default Response
No response body for successful operations that return HTTP 204.